MONGOC_READ_PREFS_GET_HEDGE(3)

NAME
mongoc_read_prefs_get_hedge - mongoc_read_prefs_get_hedge()

SYNOPSIS

const bson_t *
mongoc_read_prefs_get_hedge (const mongoc_read_prefs_t *read_prefs);

PARAMETERS

•   read_prefs: A mongoc_read_prefs_t.

DESCRIPTION

Fetches any read preference hedge document that has been registered.

RETURNS

Returns a bson_t that should not be modified or freed.

AUTHOR
MongoDB, Inc

COPYRIGHT
2017-present, MongoDB, Inc